
package com.ejie.ab63.clientesWS.ab79WebService;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ab63.clientesWS.ab79WebService
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

	private final static QName _CrearInspeccion_QNAME = new QName("http://com.ejie.ab79.serviciosWeb",
			"crearInspeccion");
	private final static QName _Ab79Exception_QNAME = new QName("http://ab79.exe.webservice/", "Ab79Exception");
	private final static QName _CrearInspeccionResponse_QNAME = new QName("http://com.ejie.ab79.serviciosWeb",
			"crearInspeccionResponse");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package:
	 * com.ejie.ab63.clientesWS.ab79WebService
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link CrearInspeccion }
	 * 
	 */
	public CrearInspeccion createCrearInspeccion() {
		return new CrearInspeccion();
	}

	/**
	 * Create an instance of {@link CrearInspeccionResponse }
	 * 
	 */
	public CrearInspeccionResponse createCrearInspeccionResponse() {
		return new CrearInspeccionResponse();
	}

	/**
	 * Create an instance of {@link DatosValidarWS }
	 * 
	 */
	public DatosValidarWS createDatosValidarWS() {
		return new DatosValidarWS();
	}

	/**
	 * Create an instance of {@link Ab79ExceptionGeneral }
	 * 
	 */
	public Ab79ExceptionGeneral createAb79ExceptionGeneral() {
		return new Ab79ExceptionGeneral();
	}

	/**
	 * Create an instance of {@link DatosInspeccionWS }
	 * 
	 */
	public DatosInspeccionWS createDatosInspeccionWS() {
		return new DatosInspeccionWS();
	}

	/**
	 * Create an instance of {@link InspeccionWS }
	 * 
	 */
	public InspeccionWS createInspeccionWS() {
		return new InspeccionWS();
	}

	/**
	 * Create an instance of {@link DatosEstablecimientoWS }
	 * 
	 */
	public DatosEstablecimientoWS createDatosEstablecimientoWS() {
		return new DatosEstablecimientoWS();
	}

	/**
	 * Create an instance of {@link ObjetosValidarWS }
	 * 
	 */
	public ObjetosValidarWS createObjetosValidarWS() {
		return new ObjetosValidarWS();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link CrearInspeccion
	 * }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab79.serviciosWeb", name = "crearInspeccion")
	public JAXBElement<CrearInspeccion> createCrearInspeccion(CrearInspeccion value) {
		return new JAXBElement<CrearInspeccion>(_CrearInspeccion_QNAME, CrearInspeccion.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link Ab79ExceptionGeneral }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://ab79.exe.webservice/", name = "Ab79Exception")
	public JAXBElement<Ab79ExceptionGeneral> createAb79Exception(Ab79ExceptionGeneral value) {
		return new JAXBElement<Ab79ExceptionGeneral>(_Ab79Exception_QNAME, Ab79ExceptionGeneral.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link CrearInspeccionResponse }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab79.serviciosWeb", name = "crearInspeccionResponse")
	public JAXBElement<CrearInspeccionResponse> createCrearInspeccionResponse(CrearInspeccionResponse value) {
		return new JAXBElement<CrearInspeccionResponse>(_CrearInspeccionResponse_QNAME, CrearInspeccionResponse.class,
				null, value);
	}

}
